<div class="col-lg-12 animated fadeInRight list-devices">
  <div class="input-group">
  </div>
  <div class="wrapper wrapper-content animated fadeInRight">
    <div class="row">
      <div class="col-lg-12">
        <div class="ibox float-e-margins">
          <div class="ibox-title">
            <div class="row">
              <div class="col-sm-12">
                <h3><strong>Shift Timings</strong></h3>
              </div>
            </div>
            <div class="fm-row">
              <div class="row">
                <div class="col-sm-4">
                    <input [(ngModel)] ="name" name ="name" (keydown.enter)="getShiftTiming( )"  autocomplete="off" class="form-control input-sm-3" placeholder="Search For Name"/>
                </div>
                <div class="col-sm-8 text-right">
                    <button type="get" (click)="getShiftTiming( );"class="btn btn-sm btn-primary blue"><i aria-hidden="true" class="fa fa-search" ></i> Search</button>
                    <button class="btn btn-sm btn-primary green" (click)="refetchShiftTiming()"><i aria-hidden="true" class="fa fa-refresh" ></i> Refresh</button>
                    <button class="btn btn-sm btn-primary red" (click)="reset()"><i aria-hidden="true" class="fa fa-eraser" ></i> Reset filters</button>
                    <button  type="submit" class="btn btn-primary btn-sm blue" [routerLink] = "['/admin/shift/shift-timings/add']">Add new record</button>
                </div>
              </div>
            </div>
            <div class="ibox-content">
              <div class="table-responsive">
                <table aria-describedby="Manage Company" class="table table-striped table-bordered table-responsive">
                  <thead>
                  <tr>
                    <th scope="col" (click)="sort('name')">Name
                      <span>
                          <i aria-hidden="true" class="fa fa-sort-asc fa_custom up" [ngClass]="{'sorted-color': sortOrder==='desc' && key ==='name' }"></i>
                          <i aria-hidden="true" class="fa fa-sort-desc fa_custom down" [ngClass]="{'sorted-color': sortOrder=='asc' && key =='name' }"></i>
                      </span>
                    </th>
                    <th scope="col">Start time</th>
                    <th scope="col">End time</th>
                    <th scope="col">Break start</th>
                    <th scope="col">Break end</th>
                    <th scope="col">Free hours</th>
                    <th scope="col" (click)="sort('updated_at')">Date
                      <span>
                          <i aria-hidden="true" class="fa fa-sort-asc fa_custom up" [ngClass]="{'sorted-color': sortOrder==='desc' && key ==='updated_at' }"></i>
                          <i aria-hidden="true" class="fa fa-sort-desc fa_custom down" [ngClass]="{'sorted-color': sortOrder=='asc' && key =='updated_at' }"></i>
                      </span>
                    </th>
					<th scope="col">Action</th>
                  </tr>
                  </thead>
                  <tbody>
                  <span *ngIf="ShowLoader">
                    <img src="assets/img/loader.gif" class="loader-img" alt="csv"/></span>
                  <tr *ngFor="let shift of shiftData; let i = index" [attr.data-index]="i" >
                    <td>{{shift.name }}</td>
                    <td>{{shift.start_time|timeformat }}</td>
                    <td>{{shift.end_time|timeformat }}</td>
                    <td>{{shift.break_start|timeformat}}</td>
                    <td>{{shift.break_end|timeformat}}</td>
                    <td>{{shift.free_hours ? shift.free_hours : 'N/A'}}</td>
                    <td>{{shift.updated_at | date}}</td>
                    <td>
                        <span matTooltip="Edit">
                          <a [routerLink]="['/admin/shift/shift-timings/edit/', shift._id]">
                            <i aria-hidden="true" class="fa fa-edit text-navy"></i>
                          </a>
                        </span>&nbsp;&nbsp;&nbsp;
                      <span matTooltip="Delete">
                        <a (click)="deleteDialog(shift._id, i)"><i aria-hidden="true" class="fa fa-trash text-navy"></i> </a>
                      </span>
                    </td>
                  </tr>
                  </tbody>
                </table>
              </div>
              <br>
              <div class="container-fluid" *ngIf="shiftlength>0">
                <div class="row col-md-12 text-center">
                  <div class="dataTables_info1">
                      <ngb-pagination [collectionSize]="shiftlength" (pageChange)="pagingAgent($event)" [page]="1" [pageSize]="pageSize"
                                      aria-label="Default pagination" [maxSize]="5" [boundaryLinks]="true"></ngb-pagination>

                  </div>
                </div>
              </div>
              <div class="container-fluid" *ngIf="shiftlength==0">
                <div class="row">
                  <div class="dataTables_info1">
                    <div class="col-md-4 form-group" style="text-align:center;margin-left:32%">
                      No records found.
                    </div>
                  </div>
                </div>
              </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

